<p align="left">
  <a href="https://www.npmjs.com/worldstar"><img src="https://img.shields.io/npm/v/worldstar.svg?label=%20&style=flat-square" alt="World map NPM package" /></a>
  <a href="https://www.npmjs.com/worldstar"><img src="https://img.shields.io/npm/dw/worldstar.svg?style=flat-square" alt="Download worldstar" /></a>
  <a href="https://libraries.io/npm/worldstar/dependents"><img src="https://img.shields.io/librariesio/dependents/npm/worldstar.svg?style=flat-square" alt="Dependents" /></a>
  <a href="https://codeclimate.com/github/dyatko/worldstar/issues"><img src="https://img.shields.io/codeclimate/tech-debt/dyatko/worldstar.svg?style=flat-square" alt="Technical debt" /></a>
</p>

## Generates world map chart of GitHub stargazers

![github stargazers map](worldstar.svg?sanitize=true)

### Usage

The tool requires few API keys:

- [GitHub API](https://github.com/settings/tokens)
- [Google Maps API](https://cloud.google.com/maps-platform/#get-started)

```console
user@machine:~$ npx worldstar --help
Options:
  --version       Show version number                                  [boolean]
  --help          Show help                                            [boolean]
  --github-token  GitHub token, alternatively GITHUB_TOKEN env var    [required]
  --google-token  Google API token, alternatively GOOGLE_TOKEN env var[required]
  --output, -o    Output path         [required] [default: "worldstar.svg"]
  --repo, -r      GitHub repo to parse, e.g. dyatko/arkit             [required]
```

```sh
# Run it straight away
npx worldstar --github-token=... --google-token=...  --repo user/repo

# You can also pass secrets as environment variables
GITHUB_TOKEN=... GOOGLE_TOKEN=... npx worldstar --repo user/repo

# Or add it to your project as a dev dependency
npm install worldstar --save-dev
yarn add worldstar --dev
```

#### Architecture diagram generated by [arkit](https://github.com/dyatko/arkit)

![arkit diagram](arkit.svg?sanitize=true)
